aboutsummaryrefslogtreecommitdiffstats
path: root/community/py-greenlet/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-23 10:52:27 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-23 10:52:27 +0000
commitbb160bb259b96da87176aa01213e1a75306069ae (patch)
tree24006feb1e93bf5de2f2247c181efba6556c442a /community/py-greenlet/APKBUILD
parentbf9d181f3de29031973b61ebea07586c3139588c (diff)
downloadaports-bb160bb259b96da87176aa01213e1a75306069ae.tar.gz
aports-bb160bb259b96da87176aa01213e1a75306069ae.tar.bz2
aports-bb160bb259b96da87176aa01213e1a75306069ae.tar.xz
community/py-greenlet: moved from testing, added python3 support, added py2/py3 subpackages
Diffstat (limited to 'community/py-greenlet/APKBUILD')
-rw-r--r--community/py-greenlet/APKBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/community/py-greenlet/APKBUILD b/community/py-greenlet/APKBUILD
new file mode 100644
index 0000000000..b60688fda4
--- /dev/null
+++ b/community/py-greenlet/APKBUILD
@@ -0,0 +1,50 @@
+# Maintainer: Elizabeth Jennifer Myers <elizabeth@sporksirc.net>
+# Contributor: Elizabeth Jennifer Myers <elizabeth@sporksirc.net>
+pkgname=py-greenlet
+_pkgname=greenlet
+pkgver=0.4.10
+pkgrel=1
+pkgdesc="Lightweight in-process concurrent programming"
+url="http://pypi.python.org/pypi/greenlet"
+arch="noarch"
+license="MIT"
+depends=""
+makedepends="python2-dev py-setuptools python3-dev"
+subpackages="py3-${pkgname/py-/}:_py3 py2-${pkgname/py-/}:_py2"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.zip"
+
+builddir="$srcdir"/$_pkgname-$pkgver
+
+build() {
+ cd "$builddir"
+ export CFLAGS="-O0" CPPFLAGS="-O0" CXXFLAGS="-O0"
+ python2 setup.py build || return 1
+ python3 setup.py build || return 1
+}
+
+package() {
+ mkdir -p "$pkgdir"
+}
+
+_py() {
+ local python=$1
+ pkgdesc="$pkgdesc - $python"
+ arch="all"
+ install_if="$pkgname=$pkgver-r$pkgrel $python"
+ cd "$builddir"
+ $python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+_py2() {
+ _py python2
+ replaces="$pkgname"
+}
+
+_py3() {
+ _py python3
+}
+
+
+md5sums="bed0c4b3b896702131f4d5c72f87c41d greenlet-0.4.10.zip"
+sha256sums="9a98d49f63259b16d3627976b69dd856888a376c498b091c8e9ead56d5098ca8 greenlet-0.4.10.zip"
+sha512sums="7fc78b14dca079f838647fd99878850cf9e83af781c985362146a11f71c5a700fbac8148273cd1c0ec4ac6ead4cf5bd389e001b8fc1225e87e9b51919d7ecc6c greenlet-0.4.10.zip"